Error: 'GMP extension seems not to be installed' (enable required PHP extensions)

CryptoWoo requires the PHP extensions for cURL, mCrypt and GMP to be enabled on your server.

Possible error messages:

'GMP extension seems not to be installed'

'mCrypt extension seems not to be installed'

'cURL extension seems not to be installed'

 

How to enable the required extensions on your shared hosting account

cPanel Documentation: https://www.cryptowoo.com/cpanel-enable-php-extensions/

Namecheap: https://www.cryptowoo.com/namecheap-enable-php-extensions/

 

How to enable the required extensions with commandline access

1. Via Commandline:

      sudo apt-get install libgmp-dev php5.6-gmp mcrypt curl php5.6-curl

2. Add the line below to the php.ini (e.g. /etc/php5/apache2/php.ini) [?]

      extension=mcrypt.so   

3. Restart your webserver (e.g. Apache):

      sudo service apache2 reload

More Info:
 
Any questions? Write a comment below or contact us and we're happy to help you out!
Have more questions? Submit a request

Comments

Powered by Zendesk